Index: c/src/lib/libchip/serial/ns16550.c
===================================================================
--- c/src/lib/libchip/serial/ns16550.c	(revision 7deeb1684082843487c36ee1a0bb6adac1bd535b)
+++ c/src/lib/libchip/serial/ns16550.c	(revision 8a2d4f2bb9926cb87ec849360738be8115e15375)
@@ -53,4 +53,5 @@
   ns16550_initialize_interrupts,  /* deviceInitialize */
   ns16550_write_polled,           /* deviceWritePolled */
+  NULL,                           /* deviceSetAttributes */
   FALSE,                          /* deviceOutputUsesInterrupts */
 };
@@ -65,4 +66,5 @@
   ns16550_init,                        /* deviceInitialize */
   ns16550_write_polled,                /* deviceWritePolled */
+  NULL,                                /* deviceSetAttributes */
   FALSE,                               /* deviceOutputUsesInterrupts */
 };
@@ -599,7 +601,7 @@
   if(ucLineStatus & SP_LSR_RDY) {
     cChar = (*getReg)(pNS16550, NS16550_RECEIVE_BUFFER);
-    return((int)cChar);
+    return (int)cChar;
   } else {
-    return(-1);
-  }
-}
+    return -1;
+  }
+}
Index: c/src/lib/libchip/serial/serial.h
===================================================================
--- c/src/lib/libchip/serial/serial.h	(revision 7deeb1684082843487c36ee1a0bb6adac1bd535b)
+++ c/src/lib/libchip/serial/serial.h	(revision 8a2d4f2bb9926cb87ec849360738be8115e15375)
@@ -43,4 +43,5 @@
   void    (*deviceInitialize)(int minor);
   void    (*deviceWritePolled)(int minor, char cChar);
+  int     (*deviceSetAttributes)(int minor, const struct termios *t);
   int       deviceOutputUsesInterrupts;
 } console_fns;
Index: c/src/lib/libchip/serial/z85c30.c
===================================================================
--- c/src/lib/libchip/serial/z85c30.c	(revision 7deeb1684082843487c36ee1a0bb6adac1bd535b)
+++ c/src/lib/libchip/serial/z85c30.c	(revision 8a2d4f2bb9926cb87ec849360738be8115e15375)
@@ -68,4 +68,5 @@
   z85c30_initialize_interrupts,  /* deviceInitialize */
   z85c30_write_polled,           /* deviceWritePolled */
+  NULL,                          /* deviceSetAttributes */
   FALSE,                         /* deviceOutputUsesInterrupts */
 };
@@ -80,4 +81,5 @@
   z85c30_init,                       /* deviceInitialize */
   z85c30_write_polled,               /* deviceWritePolled */
+  NULL,                              /* deviceSetAttributes */
   FALSE,                             /* deviceOutputUsesInterrupts */
 };
Index: c/src/libchip/serial/ns16550.c
===================================================================
--- c/src/libchip/serial/ns16550.c	(revision 7deeb1684082843487c36ee1a0bb6adac1bd535b)
+++ c/src/libchip/serial/ns16550.c	(revision 8a2d4f2bb9926cb87ec849360738be8115e15375)
@@ -53,4 +53,5 @@
   ns16550_initialize_interrupts,  /* deviceInitialize */
   ns16550_write_polled,           /* deviceWritePolled */
+  NULL,                           /* deviceSetAttributes */
   FALSE,                          /* deviceOutputUsesInterrupts */
 };
@@ -65,4 +66,5 @@
   ns16550_init,                        /* deviceInitialize */
   ns16550_write_polled,                /* deviceWritePolled */
+  NULL,                                /* deviceSetAttributes */
   FALSE,                               /* deviceOutputUsesInterrupts */
 };
@@ -599,7 +601,7 @@
   if(ucLineStatus & SP_LSR_RDY) {
     cChar = (*getReg)(pNS16550, NS16550_RECEIVE_BUFFER);
-    return((int)cChar);
+    return (int)cChar;
   } else {
-    return(-1);
-  }
-}
+    return -1;
+  }
+}
Index: c/src/libchip/serial/serial.h
===================================================================
--- c/src/libchip/serial/serial.h	(revision 7deeb1684082843487c36ee1a0bb6adac1bd535b)
+++ c/src/libchip/serial/serial.h	(revision 8a2d4f2bb9926cb87ec849360738be8115e15375)
@@ -43,4 +43,5 @@
   void    (*deviceInitialize)(int minor);
   void    (*deviceWritePolled)(int minor, char cChar);
+  int     (*deviceSetAttributes)(int minor, const struct termios *t);
   int       deviceOutputUsesInterrupts;
 } console_fns;
Index: c/src/libchip/serial/z85c30.c
===================================================================
--- c/src/libchip/serial/z85c30.c	(revision 7deeb1684082843487c36ee1a0bb6adac1bd535b)
+++ c/src/libchip/serial/z85c30.c	(revision 8a2d4f2bb9926cb87ec849360738be8115e15375)
@@ -68,4 +68,5 @@
   z85c30_initialize_interrupts,  /* deviceInitialize */
   z85c30_write_polled,           /* deviceWritePolled */
+  NULL,                          /* deviceSetAttributes */
   FALSE,                         /* deviceOutputUsesInterrupts */
 };
@@ -80,4 +81,5 @@
   z85c30_init,                       /* deviceInitialize */
   z85c30_write_polled,               /* deviceWritePolled */
+  NULL,                              /* deviceSetAttributes */
   FALSE,                             /* deviceOutputUsesInterrupts */
 };
